/api/v3/tasks/search

Search for tasks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

ID(s) of task(s) to search for

integer

ID(s) of transaction(s) to which the tasks belong

string

Standard SISU context string

integer

ID(s) of team(s) to which the tasks belong

integer

ID(s) of agent(s) to which the tasks are assigned

string

Status of the tasks; 'N' for active, 'D' for inactive; 'N' is default

boolean

Include tasks for lost transactions; default is false

string

Type of task to search for; 'T' for task, 'N' for notification

integer

ID(s) of status(es) in which the tasks are

integer

ID(s) of task list(s) to which the tasks belong

boolean

True if tasks are pinned to top of boards, false if not

string

Keyword search over the task name

integer

ID(s) of the stage(s) to which the transaction(s) that own the tasks belong

string

Keyword search over task name, transaction name fields, transaction address fields, transaction phone fields, and transaction email

string

Inclusive start date for searching over due dates; format is MM-DD-YYYY

string

Inclusive end date for searching over due dates; format is MM-DD-YYYY

string

Search over due status; options include 'done', 'no_date', 'overdue', 'today', 'next_seven', 'future', and 'all_working'

integer

Searches for tasks on transactions that have one or more of these tags

boolean

Reverses tag_id search; that is, searches for tasks on transactions that do not have any of the listed tags

integer

ID(s) of the document(s) attached to tasks

integer

ID(s) of the document type(s) that autocomplete tasks

boolean

Only return tasks with no documents attached; if true, will ignore doc_id parameter; default is false

boolean

Only returns tasks on roadmaps if true, or tasks not on roadmaps is false

string

field to sort results by; options include 'id', 'transaction_id', 'team_id', 'name', 'description', 'task_type', 'status_id', 'status', 'created_ts', 'completed_ts', 'updated_ts', 'assigned_to_agent_id', 'task_list_id', 'notes', 'pinned_on_boards', 'due_date', 'transaction_name', 'transaction_address', 'agent_name', 'transaction_type', 'transaction_stage_name', 'lost_date', 'task_list_order', 'doc_type_label'

string

Direction to order by; options are 'asc' and 'desc'

integer

Limit to a specific number of results; will be overridden by page options if they are provided

integer

Number of results to return per page; default is 10; if specific transaction ids are provided by the transaction_id parameter, this argument is ignored (all tasks for the transaction which also match the other filters are returned)

integer

Page of results to return; default is 1; if specific transaction ids are provided by the transaction_id parameter, this argument is ignored (all tasks for the transaction which also match the other filters are returned)

string

Fields to return in the results; 'id' is always returned. Available fields are 'id', 'assigned_to_agent_id', 'transaction_id', 'completed_ts', 'created_ts', 'description', 'due_date', 'due_status', 'due_label', 'due_trigger', 'name', 'notes', 'pinned_on_boards', 'status_id', 'status', 'task_list_id', 'task_blueprint_id', 'task_type', 'team_id', 'updated_ts', 'address_1', 'address_2', 'city', 'state', 'postal_code', 'transaction_stage', 'transaction_first_name', 'transaction_last_name', 'lost_date', 'transaction_type', 'tc_agent_id', 'transaction_tags', 'transaction_status', 'assigned_to_agent_first_name', 'assigned_to_agent_last_name', 'assigned_to_agent_profile_path', 'on_roadmap', 'comment_count', 'task_list_order', 'doc_id', 'doc_type_id', 'doc_type_label', 'doc_filename', 'doc_folder_name', 'transaction_agent_first_name', 'transaction_agent_last_name',

string

Choose a preset list of fields from 'list', 'board', 'calendar', 'transaction', and 'debug'; any fields in 'field' will be added to the response if not already in the preset

Response
200

Successful response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!